# Method: floodStatus.searchLatestFloodStatusByArea

- [HTTP request](https://developers.google.com/flood-forecasting/rest/v1/floodStatus/searchLatestFloodStatusByArea#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/flood-forecasting/rest/v1/floodStatus/searchLatestFloodStatusByArea#body.request_body)
  - [JSON representation](https://developers.google.com/flood-forecasting/rest/v1/floodStatus/searchLatestFloodStatusByArea#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/flood-forecasting/rest/v1/floodStatus/searchLatestFloodStatusByArea#body.response_body)
  - [JSON representation](https://developers.google.com/flood-forecasting/rest/v1/floodStatus/searchLatestFloodStatusByArea#body.SearchLatestFloodStatusByAreaResponse.SCHEMA_REPRESENTATION)

Search latest flood status by geographical area. Note: Returns flood statuses whose **gauge** is within the given area, as opposed to e.g., affected area intersecting with the given area. This is subject to change in the future.

### HTTP request

`POST https://floodforecasting.googleapis.com/v1/floodStatus:searchLatestFloodStatusByArea`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "cutoffTime": string, "pageToken": string, "pageSize": integer, // Union field `area_type` can be only one of the following: "regionCode": string, "loop": { object (`https://developers.google.com/flood-forecasting/rest/v1/Loop`) } // End of list of possible types for union field `area_type`. "includeNonQualityVerified": boolean } ``` |

| Fields ||
|---|---|
| `cutoffTime` | `string` Optional. The cutoff time for the flood statuses. When provided, the latest (last published) flood statuses as of the cut-off time will be returned. When not provided, the latest published flood statuses as of now will be returned. The minimum allowed cutoff time is 2025-08-01T00:00:00Z. If the cutoff time is before this time, an INVALID_ARGUMENT error will be returned. Represented as ISO 8601, e.g., "2025-10-17T10:34:00Z". |
| `pageToken` | `string` Optional. A page token, received from a previous `floodStatus.searchLatestFloodStatusByArea` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `floodStatus.searchLatestFloodStatusByArea` must match the call that provided the page token. |
| `pageSize` | `integer` Optional. The maximum number of flood statuses to return. The service may return fewer than this value. If unspecified, at most 20,000 flood statuses will be returned. The maximum value is 20,000; values above 20,000 will be coerced to 20,000. |
| Union field `area_type`. `area_type` can be only one of the following: ||
| `regionCode` | `string` The region by which to query flood statuses. Using CLDR, e.g., 'US'. |
| `loop` | ``object (`https://developers.google.com/flood-forecasting/rest/v1/Loop`)`` The loop by which to query flood statuses. |
| `includeNonQualityVerified` | `boolean` Optional. Include in the result gauges that aren't quality verified. Please use with caution. Default is false. |

### Response body

The response of floodStatus.searchLatestFloodStatusByArea.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "floodStatuses": [ { object (`https://developers.google.com/flood-forecasting/rest/v1/floodStatus#FloodStatus`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `floodStatuses[]` | ``object (`https://developers.google.com/flood-forecasting/rest/v1/floodStatus#FloodStatus`)`` The latest flood statuses in the requested area. Currently, this is determined by the location of the gauges, this is subject to change in the future. |
| `nextPageToken` | `string` Optional. A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |